Deskhero Developer Hub
Back to deskhero.com
Faqs

Get status counts

Returns how many FAQs the tenant has in each status, ordered by status, for driving counters in the FAQ menu. SUGGESTED is always present, with a count of 0 when there are none, while other statuses only appear once at least one FAQ has them.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/faqs/get_status_counts
Authorisation
Minimum role: USER

Request arguments

Name Type Source
Request body example
No input arguments

Response

Status
200 (OK)
Type
DTO_faq_status_count[]
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_faq_status_count
NameTypeReadOnlyDescription
statusENUM faq_statusStatus
countInt32Count
ENUM faq_status
ValueNameDescription
0UNKNOWNUNKNOWN
1SUGGESTEDSUGGESTED
11MANUALLY_CREATEDMANUALLY_CREATED
21APPROVED_AS_ISAPPROVED_AS_IS
22APPROVED_WITH_EDITSAPPROVED_WITH_EDITS
31DECLINEDDECLINED
32DUPLICATED_IGNOREDUPLICATED_IGNORE
41REMOVEDREMOVED

Generated Aug 4, 2026 18:37